
Figure - Bug #114974
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】在游戏中通过工具箱打开一个小窗应用后，工具箱入口就被隐藏了
2022-12-30 14:35 - CD Test赵飞

Status: CLOSED Start date: 2022-12-30

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-03

Test Type: ST Root cause: 游戏模式没有针对小窗应用进行特殊处理导致。

Description

【前提条件】

1、设备已开机

2、游戏模式开启

3、进入游戏页面

4、唤出工具箱

【测试步骤】

1、点击工具箱中任意一个小窗应用

2、把小窗应用移动至右侧（打开默认在左侧）

3、查看

【预期结果】

3、游戏工具箱入口正常悬浮在屏幕左侧靠上位置

【实际结果】

3、游戏工具箱入口被隐藏不显示了

【备注】

需要把小窗应用关闭后，游戏工具箱入口才会显示

History

#1 - 2022-12-30 17:02 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to 方案组-RD3_CDTS 王浩云

哈喽，浩云：

麻烦确认下，从工具箱点击应用后，是否需要隐藏工具箱？

#2 - 2022-12-30 18:15 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD FW-廖涛

应不被隐藏，方便其他的功能使用，工具箱收起，且悬浮，有一定透明
#3 - 2023-01-03 17:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173671 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:GameMode:Fix when open app in mini window mode, float view is not displaying.TC-RID: 1201-0204810IssueID: TS-R-BUG-114974Change-Id:

Ib479e277e81c8ee4e3d35ac378a71ac67ccb0bcc

#4 - 2023-01-03 17:29 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-03

- Root cause set to 游戏模式没有针对小窗应用进行特殊处理导致。

■ Current conclusion

已处理。

■ My analysis

游戏模式没有针对小窗应用进行特殊处理导致。

■ Next action

测试验证。

#5 - 2023-01-04 14:33 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

验证结果：PASS

游戏中打开小窗应用后，工具箱入口悬浮在屏幕左侧靠上边缘

#6 - 2023-01-04 14:34 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
